#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Library to parse, convert, and manipulate KVTML files
Name:           libkeduvocdocument
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel
BuildRequires:  karchive-devel
BuildRequires:  kio-devel


%description
Library to parse, convert, and manipulate KVTML files

#--------------------------------------------------------------------

%define keduvocdocument_major 5
%define libkeduvocdocument %mklibname keduvocdocument %{keduvocdocument_major}

%package -n %libkeduvocdocument
Summary:      Library to parse, convert, and manipulate KVTML files
Group:        System/Libraries

%description -n %libkeduvocdocument
Library to parse, convert, and manipulate KVTML files

%files -n %libkeduvocdocument
%_kf5_libdir/libKEduVocDocument.so.%{keduvocdocument_major}*

#--------------------------------------------------------------------

%define keduvocdocument_devel %mklibname keduvocdocument -d

%package -n %keduvocdocument_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkeduvocdocument = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %keduvocdocument_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %keduvocdocument_devel
%_includedir/libkeduvocdocument
%_kf5_libdir/cmake/libkeduvocdocument
%_kf5_libdir/libKEduVocDocument.so

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090146
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076888
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072081
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067400
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061463
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050726
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047375
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040129
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012619
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004408
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 994974
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991250
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987528
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922692
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911972
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905430
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901166
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890647
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880459
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865977
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863845
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861790
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859265
- New version 15.07.80

* Thu Jul 23 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 856329
- Rebuild with fixed epoch

* Thu Jul 23 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 856324
- Remove epoch

* Thu Jul 23 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856319
- imported package libkeduvocdocument

